LibreOffice: XDynamicResultSetListener Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDynamicResultSetListener Interface Referencepublished

used to receive notifications from an XDynamicResultSet. More...

`import <XDynamicResultSetListener.idl;`

Inheritance diagram for XDynamicResultSetListener:

## Public Member Functions
void | notify ([in] ListEvent Changes)
| A method used to propagate changes of a result set.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

used to receive notifications from an XDynamicResultSet.

## Member Function Documentation

## ◆ notify()

void notify | ( | [in] ListEvent | Changes | ) |

A method used to propagate changes of a result set.

In the first notify-call the listener gets two(!) com::sun::star::sdbc::XResultSets and has to hold them. The com::sun::star::sdbc::XResultSets are implementations of the service ContentResultSet.

The notified new com::sun::star::sdbc::XResultSet will stay valid after returning from this method. The old one will become invalid after returning.

While in notify-call the listener is allowed to read from old and new result set, except in the first call, where only the new result set is valid.

The Listener is allowed to stay (block) this call, until he really wants to use the new result set. The only situation, where the listener has to return immediately is while he disposes his broadcaster or while he is removing himself as listener (otherwise you deadlock)!!!

Parameters

  Changes | the changes to notify.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XDynamicResultSetListener.idl